%global enable_tests 0

Name:           nodejs-is-regex
Version:        1.0.3
Release:        2%{?dist}
Summary:        Is this value a JS regex?

License:        MIT
URL:            https://github.com/ljharb/is-regex
Source0:        https://registry.npmjs.org/is-regex/-/is-regex-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif



%description
Is this value a JS regex? This module works cross-realm/iframe, and
despite ES6 @@toStringTag.


%prep
%setup -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/is-regex
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/is-regex
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} --harmony --es-staging test.js
%endif



%files
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/is-regex


%changelog
* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-2
- Add global to disable tests
- Temporarily disable tests to bootstrap new npm(tape)

* Thu Oct 22 2015 Tom Hughes <tom@compton.nu> - 1.0.3-1
- Initial build of 1.0.3
